AddCSLuaFile("shared.lua")
include('shared.lua')
/*-----------------------------------------------
	*** Copyright (c) 2012-2019 by DrVrej, All rights reserved. ***
	No parts of this code or any of its contents may be reproduced, copied, modified or adapted,
	without the prior written consent of the author, unless otherwise indicated for stand-alone materials.
-----------------------------------------------*/
ENT.Model = {"models/scrake.mdl"} -- The game will pick a random model from the table when the SNPC is spawned | Add as many as you want
ENT.StartHealth = GetConVarNumber("vj_scr_scrake_h")
ENT.HullType = HULL_HUMAN
ENT.SightDistance = 7500
ENT.SightAngle = 80
ENT.TurningSpeed = 20
ENT.MovementType = VJ_MOVETYPE_GROUND
ENT.HasAllies = true
ENT.VJ_NPC_Class = {CLASS_SCRAKE}
ENT.Behavior = VJ_BEHAVIOR_AGGRESSIVE
ENT.AnimTbl_IdleStand = {ACT_IDLE}
ENT.AnimTbl_Walk = {ACT_WALK}
ENT.AnimTbl_Run = {ACT_RUN}
ENT.InvestigateSoundDistance = 16
ENT.HasMeleeAttack = true
ENT.MeleeAttackDamage = GetConVarNumber("vj_scr_scrake_d")
ENT.MeleeAttackDamageType = DMG_SLASH
ENT.AnimTbl_MeleeAttack = {ACT_MELEE_ATTACK1}
ENT.MeleeAttackDistance = 32
ENT.MeleeAttackDamageDistance = 100
ENT.BloodColor = "Red"
ENT.HasBloodParticle = true
ENT.HasBloodPool = true
ENT.Immune_AcidPoisonRadiation = true
ENT.Immune_Fire = true
ENT.CanFlinch = 2
ENT.FlinchDamageTypes = {DMG_BLAST}
ENT.FlinchChance = 1
ENT.NextMoveAfterFlinchTime = "1.3666666340828"
ENT.NextFlinchTime = 6
ENT.AnimTbl_Flinch = {"hit_hard_f_v3"}
ENT.HasDeathRagdoll = false
ENT.MeleeAttackBleedEnemy = true
ENT.MeleeAttackBleedEnemyChance = 2
ENT.MeleeAttackBleedEnemyDamage = 3
ENT.MeleeAttackBleedEnemyTime = 1
ENT.MeleeAttackBleedEnemyReps = 4
ENT.FootStepTimeRun = 0.28
ENT.FootStepTimeWalk = 0.47
ENT.MeleeAttackAnimationAllowOtherTasks = true
-- Sound Variables -------------------------
ENT.SoundTbl_FootStep = {"step01.wav","step02.wav","step03.wav","step04.wav","step05.wav","step06.wav","step07.wav","step08.wav"}
ENT.SoundTbl_Investigate = {"aggro01.wav","aggro02.wav","aggro03.wav","aggro04.wav","aggro05.wav","aggro06.wav","aggro07.wav","aggro08.wav","aggro09.wav","aggro10.wav"}
ENT.SoundTbl_Pain = {"pain_01.wav","pain_02.wav","pain_03.wav","pain_04.wav","pain_05.wav","pain_06.wav","pain_07.wav","pain_08.wav","pain_09.wav","pain_10.wav","pain_11.wav","pain_12.wav"}
ENT.SoundTbl_Idle = {"idle_01.wav","idle_02.wav","idle_03.wav","idle_04.wav","idle_05.wav","idle_06.wav","idle_07.wav","idle_08.wav","idle_09.wav","idle_10.wav","idle_11.wav","idle_12.wav","idle_13.wav","idle_14.wav","idle_15.wav","idle_16.wav","idle_17.wav","idle_18.wav","idle_19.wav","idle_20.wav","idle_21.wav"}
ENT.SoundTbl_CombatIdle = {"effort_01.wav","effort_02.wav","effort_03.wav","effort_04.wav","effort_05.wav","effort_06.wav","effort_07.wav","effort_08.wav","effort_09.wav","effort_10.wav","effort_11.wav"}
ENT.SoundTbl_Death = {"death_01.wav","death_02.wav","death_03.wav","death_04.wav","death_05.wav","death_06.wav","death_07.wav"}
ENT.SoundTbl_DamageByPlayer = {"damaged_01.wav","damaged_02.wav","damaged_03.wav","damaged_04.wav","damaged_05.wav","damaged_06.wav"}
ENT.SoundTbl_Breath = {"saw_idle.wav"}
ENT.SoundTbl_Alert = {"attack_01.wav","attack_02.wav","attack_03.wav","attack_04.wav","attack_05.wav","attack_06.wav","attack_07.wav","attack_08.wav","attack_09.wav","attack_10.wav","attack_11.wav","attack_12.wav","attack_13.wav","attack_14.wav"}
ENT.SoundTbl_MeleeAttackMiss = {"saw_swish_01.wav"}

ENT.PainSoundLevel = 80
ENT.IdleSoundLevel = 80
ENT.CombatIdleSoundLevel = 80
ENT.DeathSoundLevel = 80
ENT.DamageByPlayerSoundLevel = 80
ENT.BreathSoundLevel = 80
ENT.IdleSoundChance = 1
ENT.NextSoundTime_Idle1 = 2
ENT.NextSoundTime_Idle2 = 3
---------------------------------------------------------------------
function ENT:CustomOnInitialize()
    self:SetCollisionBounds(Vector(23, 28, 98), Vector(-28, -28, 0))
end
---------------------------------------------------------------------
function ENT:MultipleMeleeAttacks()
    local randattack = math.random(1,5)
	if randattack == 1 then
		self.AnimTbl_MeleeAttack = {"atk_combo1_v1"}
		self.TimeUntilMeleeAttackDamage = 0.65
		self.NextAnyAttackTime_Melee = 0.89
		self.MeleeAttackExtraTimers = {}
		self.SoundTbl_MeleeAttack = {"saw_swish_01.wav"}
		self.MeleeAttackDamage = 35
	elseif randattack == 2 then
		self.AnimTbl_MeleeAttack = {"atk_combo1_v2"}
		self.TimeUntilMeleeAttackDamage = 0.95
		self.NextAnyAttackTime_Melee = 0.81
		self.MeleeAttackExtraTimers = {}
		self.SoundTbl_MeleeAttack = {"saw_swish_01.wav"}
		self.MeleeAttackDamage = 45
	elseif randattack == 3 then
	    self.AnimTbl_MeleeAttack = {"atk_gutbuster2_v1"}
		self.TimeUntilMeleeAttackDamage = 0.72
		self.NextAnyAttackTime_Melee = 3.41
		self.MeleeAttackExtraTimers = {0.82,0.92,1.02,1.12,1.22,1.32,1.42,1.52,1.62,1.72,1.82,1.92,2.02,2.12,2.48,2.58,2.92,3,02}
		self.MeleeAttackDamage = 4
		self.SoundTbl_MeleeAttack = {"saw_stab.wav"}
		self.MeleeAttackDistance = 32
        self.MeleeAttackDamageDistance = 100
	elseif randattack == 4 then
	    self.AnimTbl_MeleeAttack = {"atk_ragespin2_v1"}
		self.TimeUntilMeleeAttackDamage = 0.7
		self.NextAnyAttackTime_Melee = 1.29
		self.MeleeAttackExtraTimers = {1.1,1.67}
		self.MeleeAttackDamage = 25
		self.SoundTbl_MeleeAttack = {"saw_05.wav"}
		self.MeleeAttackDistance = 42
		self.MeleeAttackDamageDistance = 100
		self.MeleeAttackAngleRadius = 180
		self.MeleeAttackDamageAngleRadius = 180
	elseif randattack == 5 then
	    self.AnimTbl_MeleeAttack = {"atk_ragespin_v1"}
		self.TimeUntilMeleeAttackDamage = 0.8
		self.NextAnyAttackTime_Melee = 0.9
		self.MeleeAttackExtraTimers = {1.2}
		self.MeleeAttackDamage = 30
		self.SoundTbl_MeleeAttack = {"saw_03.wav"}
		self.MeleeAttackDistance = 42
		self.MeleeAttackDamageDistance = 100
		self.MeleeAttackAngleRadius = 180
		self.MeleeAttackDamageAngleRadius = 180
	end
end
/*-----------------------------------------------
	*** Copyright (c) 2012-2019 by DrVrej, All rights reserved. ***
	No parts of this code or any of its contents may be reproduced, copied, modified or adapted,
	without the prior written consent of the author, unless otherwise indicated for stand-alone materials.
-----------------------------------------------*/